DSRA_MULTI_DESC(3)

FUNCTION
dsra_multi_desc - Read ASCII representation of a multi_array data structure.

SYNOPSIS
#include <karma_dsra.h>

multi_array * dsra_multi_desc

(Channel channel)

DESCRIPTION
This routine will read the ASCII representation of a multi_array data structure descriptor from a channel object.

channel
    The channel object to read from.

RETURN VALUE
A pointer to the multi array header on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
The routine will NOT allocate space for data, nor will it read any data.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/